| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/cowwrapper.h File Reference

Copy-on-write wrapper for arbitrary types. More...

`#include "csutil/custom_new_disable.h"`
`#include "csutil/allocator.h"`
`#include "csutil/custom_new_enable.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
## Classes
class | CS::CowWrapper< T, MemoryAllocator >
| Copy-on-write wrapper for arbitrary types. More...

## Detailed Description

Copy-on-write wrapper for arbitrary types.

Definition in file cowwrapper.h.